Page MenuHomePhabricator

[Tracker] Make contributions entry point easier to access
Closed, ResolvedPublic1 Estimated Story Points

Description

Currently the main translation entry point is hidden behind the "new contribution" button, which is hidden behind the "Contributions" link. We can make it easier to access.

This task has two parts

T92939: Improve contributions page entry point by adding 3 explicit ways to contribute
T92938: Add quick popover menu when hovering the contributions link

Event Timeline

Pginer-WMF raised the priority of this task from to High.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF added subscribers: Amire80, Arrbee, santhosh and 3 others.
Pginer-WMF updated the task description. (Show Details)Mar 10 2015, 3:29 PM
Pginer-WMF set Security to None.
santhosh lowered the priority of this task from High to Medium.Mar 11 2015, 3:08 AM
santhosh removed a subscriber: santhosh.
santhosh added a subscriber: santhosh.
Pginer-WMF moved this task from Backlog to In Progress on the LE-Sprint-84 board.Mar 11 2015, 9:14 AM
Arrbee assigned this task to Pginer-WMF.Mar 11 2015, 9:25 AM
Pginer-WMF edited a custom field.Mar 11 2015, 9:25 AM

Here is a prototype of how contributions page would look like with the upfront actions + icons.
Hover over the actions to see what is it about :)

and here is the mockup for popover that will show up when you hover on the Contributions link.

The difference between the popover and the contributions page entry point is

  • The popover says "your contributions" which means your existing contributions. e.g. your entry point to CX dashboard
  • The contribution page says "New Contributions" so it's a way to add to your existing contribs but still has a way of going to CX dashboard
  • The icons are different because the popover are nouns because it's just a list and contribs page it's all verbs "create, upload, translate"
Pginer-WMF updated the task description. (Show Details)Mar 12 2015, 10:24 AM
Pginer-WMF updated the task description. (Show Details)Mar 12 2015, 10:27 AM

Great work, @Nirzar!
Some small considerations:

  • For the "start a draft" option, it is harder than it seems to point to a place which exists in all wikis and users can go to start a new page. the draft namespace or article requesting process is not available everywhere. The best I could found is this special page. I reflected that in the task description above (labelling the action as "new page").
  • Options are presented in a different order in contributions and the popover. Is there a reason for that or can we follow a consistent ordering?
  • Adding the graphic assets to this ticket would be useful for the developers.

For the "start a draft" option, it is harder than it seems to point to a place which exists in all wikis and users can go to start a new page. the draft namespace or article requesting process is not available everywhere. The best I could found is this special page. I reflected that in the task description above (labelling the action as "new page").

Let me check with Jared on this, he was talking about draft namespace if I'm not mistaken

Options are presented in a different order in contributions and the popover. Is there a reason for that or can we follow a consistent ordering?

good catch, I'll fix it. it should be the same order.

  1. article contributions/start a draft
  2. media contributions/upload media
  3. translations/translate article

Adding the graphic assets to this ticket would be useful for the developers.

Definitely

Adding the graphic assets to this ticket would be useful for the developers.

Definitely

Can you link it here?

@santhosh, here are some icons that can be used as a placeholder while @Nirzar provides the final ones:

  • New page:


  • Upload media:


  • Translate:


santhosh updated the task description. (Show Details)Mar 17 2015, 8:41 AM
santhosh updated the task description. (Show Details)
Amire80 raised the priority of this task from Medium to High.Mar 18 2015, 8:59 AM

@santhosh I have uploaded the assets in individual tasks

Pginer-WMF renamed this task from Make contributions entry point easier to access to [Tracker] Make contributions entry point easier to access.Apr 1 2015, 8:44 AM
Pginer-WMF edited a custom field.
santhosh moved this task from Backlog to In Progress on the LE-Sprint-85 board.
santhosh moved this task from In Progress to Done on the LE-Sprint-85 board.Apr 3 2015, 11:08 AM
Arrbee moved this task from Long term to CX5 on the ContentTranslation board.
santhosh edited a custom field.Apr 14 2015, 8:28 AM